Execute Charge
POST
/api/v1/charge/execute
const url = 'https://api.parasta.io/api/v1/charge/execute';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"source":"KB Kookmin","amount":"500000","currency":"KRW"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/api/v1/charge/execute \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "source": "KB Kookmin", "amount": "500000", "currency": "KRW" }'Charge (deposit) funds from connected source to Link Bank.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
source
required
Source institution name
string
amount
required
Charge amount
string
currency
required
Currency code
string
Example
{ "source": "KB Kookmin", "amount": "500000", "currency": "KRW"}Responses
Section titled “ Responses ”OK
Media type application/json
Example
{ "status": "ok", "data": { "charge_id": "ch_xxx", "status": "processing" }}